Skip to main content

Create new deployment process

POST 

/nevisadmin/api/v1/deployments

Required permission: VIEW_INVENTORY on the inventory, or higher scope

Required permission: VIEW_PROJECT on the project, or higher scope

Simple hostExpression

  • * - wildcard to generate to all hosts (default)
  • host (defined in the inventory)
  • group (defined in the inventory)
  • pattern://d3f51b1fcbd3eaf433588645: Generates for all hosts, but only the provided instance pattern

Complex hostExpression

It's possible to filter hosts and pattern instances at the same time with a complex hostExpression. The host filter and the pattern instance filter must be separated by ;. The pattern instance list must be separated by ,.

Examples:

  • *;pattern://b83aacda64dc0acfad2fb5d6,pattern://d3f51b1fcbd3eaf433588645
  • proxy;pattern://b83aacda64dc0acfad2fb5d6
  • portal.nevis.net;pattern://b83aacda64dc0acfad2fb5d6,pattern://d3f51b1fcbd3eaf433588645

Request

Responses

Success